List Cases¶
Use /cases to retrieve summary of all non-executable service requests,e.g., Billing complaints, Bin complaints etc on your account.A date range can be specified to retrieve summary of cases within those dates.To get details of a specific case see, case details api
URI¶
GET /api/v1/customers/{customerId}/cases
Headers¶
| Parameter | Mandatory | Data Type | Allowed Values | Description |
|---|---|---|---|---|
| Request-Tracking-Id | Y | String | Unique Identifier for each request | |
| Authorization | Y | String | Access token | |
| ClientId | Y | String | Will be provided by WM | |
| Accept | N | String | application/json or application/xml | Default is application/json |
Request Parameters¶
Pass the following parameters in the request.
| Parameter | Mandatory | Data Type | Type | Description |
|---|---|---|---|---|
| customerId | Y | Number | path | Unique Customer Identifier |
| fromDate | N | Date | query | Start date formatted as yyyy-MM-dd |
| toDate | N | Date | query | End date formatted as yyyy-MM-dd |
Response Fields¶
| Parameter | Data Type | Description |
|---|---|---|
| request_tracking_id | String | Unique identifier for each request |
| cases | Object | The cases details |
| case_id | Number | Unique ID assigned to a case |
| description | String | Description of the case |
| category | String | Case category |
| category_description | String | Case Category description |
| requested_date_time | String | Case Creation date and time |
| status | String | Case status (CLOSED,OPEN) |
| totalCount | Number | Total number of case objects retrieved |
Tip
For information about how to test, see How To Test
Sample Request¶
http://api.wm.com/v1/customers/123456789/cases?fromDate=2016-06-01&toDate=2016-08-01
Sample Response¶
{ "request_tracking_id": "123", "cases": [{ "case_id": "1234567", "description": "AUTO-CREATED FROM TICKET", "category": "TKT", "category_description": "SERVICE TICKET", "requested_date_time": "2016-06-06 10:56:00.0", "status": "CLOSED" }, { "case_id": "6039379", "description": "AUTO-CREATED FROM TICKET", "category": "TKT", "category_description": "SERVICE TICKET", "requested_date_time": "2016-06-06 10:57:00.0", "status": "CLOSED" }, { "case_id": "6039356", "description": "AUTO-CREATED FROM TICKET", "category": "TKT", "category_description": "SERVICE TICKET", "requested_date_time": "2016-06-06 10:54:00.0", "status": "CLOSED" }], "metadata": { "totalCount": "3" }}